import os.path
import functools

from dtgw.common import read_temporal_graph


FIXTURES = "test/fixtures"


def load_tgraphs(basename):
	return (
		load_tgraph(basename + "_1.edges"),
		load_tgraph(basename + "_2.edges")
	)


@functools.lru_cache()
def load_tgraph(name):
	with open(os.path.join(FIXTURES, name)) as file:
		return read_temporal_graph(file)
